文档中心

系统软件包管理

05.软件包之间的关系(暂不支持)

软件包之间存在升级,依赖的关系。

依赖即一个软件包需要另外一个软件包才能运行和工作。这种依赖为多对多关系,一个软件包可以被 0个或多个软件包依赖,也可以依赖 0个或多个软件包。在安装一个软件包的时,即使它所依赖的软件包还没有安装,也不影响它自己的安装。可以在安装完一个软件包之后,再安装它所依赖的软件包。

一个软件包依赖其他的软件包通过 package.ini来指定:

[package]
txt="example package" #软件包默认的显示名称
depend={
    "other_package1" #没有 version,表示任意版本 "other_package2-version" #指定最小版本
}